using UnityEngine;

namespace Syntriax.Modules.Movement
{
    public abstract class MovementBase3D : MovementBase
    {
        protected abstract Vector3 moveValue { get; set; }

        public override void Move(float x = 0, float y = 0, float z = 0)
            => moveValue = new Vector3(x, y, z) * BaseSpeed * MovementMultiplier;
    }
}
